pilot-hinotes(1)

NAME
pilot-hinotes - Syncronize your Hi-Notes database with your desktop machine.

SECTION

pilot-link: Userland conduits

SYNOPSIS

 pilot-hinotes [-p|--port <port>] [--version] [-q|--quiet] [-?|--help] [--usage] [-d|--dirname dir]

DESCRIPTION

Hi-Notes must be installed on your Palm handheld (and at least one entry must exist within Hi-Notes).

By default, the contents of your Palm's Hi-Notes database (Hi-NoteDB.pdb) will be written to STDOUT as a standard Unix mailbox (in mbox-format) file, with each memo as a separate message. The subject of each message will be set as the category.

The memos will be written to STDOUT unless the -d option is specified. Using -d will be save the memos in subdirectories of dir. Each subdirectory will contain the name of a category on the Palm where the record was stored, and will contain the memos found in that category.

Each memo's filename will be the first line (up to the first 40 characters) of the memo. Control characters, slashes, and equal signs that would otherwise appear in filenames are converted using the correct MIME's quoted-printable encoding.

Please see http://www.cyclos.com/ for more information on Hi-Note.

WARNING

Note that if you have two memos in the same category whose first lines are identical, one of them will be OVERWRITTEN! This is unavoidable at the present time, but may be fixed in a future release. Also, please note that syncronizing Hi-Note images is not supported at this time, only text.

OPTIONS

  pilot-hinotes option
                        -d
                        dir

Stores the Hi-Note entries in subdirectories of dir. Each subdirectory will contain the name of a category on the Palm where the record was stored, and will contain the memos found in that category.

Each memo's filename will be the first line (up to the first 40 characters) of the memo. Control characters, slashes, and equal signs ('=') that would otherwise appear in filenames are converted using the correct MIME's quoted\-printable encoding methods.

  Conduit Options
                        -p, --port
                        <port>

Use device file <port> to communicate with the Palm handheld. If this is not specified, pilot-hinotes will look for the $PILOTPORT environment variable. If neither are found, pilot-hinotes will print the usage information.
                        -q,
                        --quiet

Suppress 'Hit HotSync button' message
                        --version

Display the copyright information, version number, license details and build details and exit without connecting.

  Help options
                        -?, --help

Show the help message and exit without connecting.
                        --usage

Display a brief usage message and exit without connecting.

USAGE

The program will dump your MemoPad database (MemoDB.pdb) from the Palm and output format suitable for the Hi-Notes application to use.

Please see http://www.cyclos.com/ for more information on Hi-Note.

AUTHOR

 pilot-hinotes was originally written by Kenneth Albanowski, based on code by Bill Goodman <bgoodman@cyclos.com> and modified by Michael Bravo <mbravo@kronverk.spb.su>

This manual page was converted to XML by Neil Williams <linux@codehelp.co.uk>

REPORTING BUGS

We have an online bug tracker. Using this is the only way to ensure that your bugs are recorded and that we can track them until they are resolved or closed. Reporting bugs via email, while easy, is not very useful in terms of accountability. Please point your browser to http://bugs.pilot-link.org: http://bugs.pilot-link.org and report your bugs and issues there.

COPYRIGHT

This program is free software; you can redistribute it and/or modify it under the terms of the GNU General Public License as published by the Free Software Foundation; either version 2 of the License, or (at your option) any later version.

This program is distributed in the hope that it will be useful, but WITHOUT ANY WARRANTY; without even the implied warranty of MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the GNU General Public License for more details.

You should have received a copy of the GNU General Public License along with this program; if not, write to the Free Software Foundation, Inc., 51 Franklin St, Fifth Floor, Boston, MA 02110-1301, USA.

SEE ALSO

 pilot-link(7)